CoCoA-5 - Support #1027

CoCoAManual: add a page with some emacs hints?
09 Mar 2017 14:14 - John Abbott

Status: Closed Start date: 09 Mar 2017
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Manual/documentation Estimated time: 2.34 hours
Target version: CoCoA-5.3.0 Spent time: 2.30 hours
Description

Would it be a good idea to add a page with a few basic emacs commands to the CoCoA-5 online manual?

History

#1 - 15 May 2017 09:13 - Anna Maria Bigatti
- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 10

Currently there is a web page (I've just improved it a bit).
http://cocoa.dima.unige.it/download/screenshots.shtml
| could copy the text from there.

#2 - 15 May 2017 10:25 - John Abbott

- Status changed from New to In Progress

| suggest as a first version of the man page just to put in a reference to the website; not ideal, but better than nothing. Also we should check whether
the webpage is up-to-date.

#3 - 11 Sep 2019 21:04 - John Abbott

I would also like some information which does not require access to internet.

I notice that CoCoA-5 no longer mentions near the start-up banner that "?" can be used for help.

#4 - 11 Sep 2019 21:04 - John Abbott
- Related to Support #1311: THINGS TO DO IN GENOVA September 2019 added

#5 - 25 Sep 2019 17:18 - John Abbott

A possibility is to put the web page(s) referred to in comment 2 into a local file, so that it is always accessible.

To put an "emacs" entry into the CoCoA-5 manual... where exactly should it go?
It does not seem to be correct to have a "command" called emacs...

#6 - 25 Sep 2019 18:14 - John Abbott
- % Done changed from 10 to 30

JAA has written a first draft of a tutorial for using the Emacs Ul; it will need to be expanded/improved.
http://cocoa.dima.unige.it/download/screenshots.shtml

#7 - 14 Feb 2020 10:53 - John Abbott
- Target version changed from CoCoA-5.?.7 to CoCoA-5.3.0

It would be nice to improve this a bit for Vietnam. Do we have enough time to do so?

#8 - 14 Feb 2020 10:54 - John Abbott
- Related to deleted (Support #1311: THINGS TO DO IN GENOVA September 2019)

#9 - 15 Feb 2020 10:34 - John Abbott
- % Done changed from 30 to 80

There is a tutorial about the emacs Ul. Perhaps this can be extended; or maybe a "basic" and an "advanced" tutorial?

#10 - 26 Feb 2020 16:59 - John Abbott

- Status changed from In Progress to Feedback
- % Done changed from 80 to 100

- Estimated time set to 2.34 h

| think the current tutorial is good enough as a first "basic" tutorial; we can add a more advanced one for the next version.
Closing.

#11 - 09 Mar 2020 15:36 - John Abbott
- Status changed from Feedback to Closed
